Experiments
Search experiment
POST
/
api
/
v2
/
experiments
/
list
{
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}
{
"count": 1,
"results": [
{
"id": "experiment_id_123",
"name": "K Experiment",
"dataset_id": "dataset_id_123"
}
]
}
Search experiments using filters with the V2 API.
Authentication
- API key:
Authorization: Bearer <API key>
Request Body
{
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}
Examples
import requests
url = "https://api.keywordsai.co/api/v2/experiments/list"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
curl -X POST "https://api.keywordsai.co/api/v2/experiments/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}'
Response
{
"count": 1,
"results": [
{
"id": "experiment_id_123",
"name": "K Experiment",
"dataset_id": "dataset_id_123"
}
]
}
Was this page helpful?
⌘I
{
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}
{
"count": 1,
"results": [
{
"id": "experiment_id_123",
"name": "K Experiment",
"dataset_id": "dataset_id_123"
}
]
}